=== modified file 'drizzled/lock.cc'
--- drizzled/lock.cc	2008-12-16 23:22:36 +0000
+++ drizzled/lock.cc	2008-12-19 00:02:41 +0000
@@ -1436,13 +1436,10 @@
   pthread_mutex_lock(&LOCK_global_read_lock);
   /* increment this BEFORE waiting on cond (otherwise race cond) */
   global_read_lock_blocks_commit++;
-  /* For testing we set up some blocking, to see if we can be killed */
-  protect_against_global_read_lock++;
   old_message= session->enter_cond(&COND_global_read_lock, &LOCK_global_read_lock,
                                "Waiting for all running commits to finish");
   while (protect_against_global_read_lock && !session->killed)
     pthread_cond_wait(&COND_global_read_lock, &LOCK_global_read_lock);
-  protect_against_global_read_lock--;
   if ((error= test(session->killed)))
     global_read_lock_blocks_commit--; // undo what we did
   else

=== removed file 'tests/suite/broken/r/flush.result'
--- tests/suite/broken/r/flush.result	2008-06-25 05:29:13 +0000
+++ tests/suite/broken/r/flush.result	1970-01-01 00:00:00 +0000
@@ -1,91 +0,0 @@
-drop table if exists t1,t2;
-drop database if exists mysqltest;
-create temporary table t1(n int not null primary key);
-create table t2(n int);
-insert into t2 values(3);
-select * from t1;
-n
-3
-flush tables with read lock;
-drop table t2;
-ERROR HY000: Can't execute the query because you have a conflicting read lock
-drop table t2;
-unlock tables;
-create database mysqltest;
-create table mysqltest.t1(n int);
-insert into mysqltest.t1 values (23);
-flush tables with read lock;
-drop database mysqltest;
-select * from mysqltest.t1;
-n
-23
-unlock tables;
-create table t1 (n int);
-flush tables with read lock;
-insert into t1 values (345);
-select * from t1;
-n
-345
-drop table t1;
-create table t1 (c1 int);
-lock table t1 write;
-flush tables with read lock;
-ERROR HY000: Can't execute the given command because you have active locked tables or an active transaction
-lock table t1 read;
-flush tables with read lock;
-lock table t1 write;
-ERROR HY000: Can't execute the query because you have a conflicting read lock
-lock table t1 read;
-lock table t1 write;
-ERROR HY000: Can't execute the query because you have a conflicting read lock
-unlock tables;
-create table t2 (c1 int);
-create table t3 (c1 int);
-lock table t1 read, t2 read, t3 write;
-flush tables with read lock;
-ERROR HY000: Can't execute the given command because you have active locked tables or an active transaction
-lock table t1 read, t2 read, t3 read;
-flush tables with read lock;
-unlock tables;
-drop table t1, t2, t3;
-create table t1 (c1 int);
-create table t2 (c1 int);
-lock table t1 write;
-flush tables with read lock;
-insert into t2 values(1);
-unlock tables;
-drop table t1, t2;
-drop table if exists t1, t2;
-set session low_priority_updates=1;
-create table t1 (a int);
-create table t2 (b int);
-lock tables t1 write;
-flush tables with read lock;
-ERROR HY000: Can't execute the given command because you have active locked tables or an active transaction
-unlock tables;
-lock tables t1 read, t2 write;
-flush tables with read lock;
-ERROR HY000: Can't execute the given command because you have active locked tables or an active transaction
-unlock tables;
-lock tables t1 read;
-flush tables with read lock;
-unlock tables;
-drop table t1, t2;
-set session low_priority_updates=default;
-select benchmark(200, (select sin(1))) > 1000;
-End of 5.0 tests
-set @old_general_log= @@general_log;
-set @old_read_only= @@read_only;
-set global general_log= on;
-flush tables with read lock;
-flush logs;
-unlock tables;
-set global read_only=1;
-flush logs;
-unlock tables;
-flush tables with read lock;
-flush logs;
-unlock tables;
-set global general_log= @old_general_log;
-set global read_only= @old_read_only;
-End of 5.1 tests

=== renamed file 'tests/suite/broken/t/flush.test' => 'tests/t/flush.test'
--- tests/suite/broken/t/flush.test	2008-06-25 05:29:13 +0000
+++ tests/t/flush.test	2008-12-19 00:02:41 +0000
@@ -52,15 +52,15 @@
 connection con2;
 reap;
 
-# test if dirty close releases global read lock
-connection con1;
-create table t1 (n int);
-flush tables with read lock;
-dirty_close con1;
-connection con2;
-insert into t1 values (345);
-select * from t1;
-drop table t1;
+## test if dirty close releases global read lock
+#connection con1;
+#create table t1 (n int);
+#flush tables with read lock;
+#dirty_close con1;
+#connection con2;
+#insert into t1 values (345);
+#select * from t1;
+#drop table t1;
 
 #
 # Bug#9459 - deadlock with flush with lock, and lock table write
@@ -103,7 +103,6 @@
 create table t1 (c1 int);
 create table t2 (c1 int);
 
-connect (con1,localhost,root,,);
 connect (con3,localhost,root,,);
 
 connection con1;
@@ -134,37 +133,6 @@
 drop table t1, t2;
 
 #
-# Bug#32528 Global read lock with a low priority write lock causes a server crash
-#
-
---disable_warnings
-drop table if exists t1, t2;
---enable_warnings
-
-set session low_priority_updates=1;
-
-create table t1 (a int);
-create table t2 (b int);
-
-lock tables t1 write;
---error ER_LOCK_OR_ACTIVE_TRANSACTION
-flush tables with read lock;
-unlock tables;
-
-lock tables t1 read, t2 write;
---error ER_LOCK_OR_ACTIVE_TRANSACTION
-flush tables with read lock;
-unlock tables;
-
-lock tables t1 read;
-flush tables with read lock;
-unlock tables;
-
-drop table t1, t2;
-
-set session low_priority_updates=default;
-
-#
 # Bug #33334 mysqltest_embedded crashes when disconnecting before reap
 #
 
@@ -175,26 +143,3 @@
 
 --echo End of 5.0 tests
 
-#
-# Bug #26380: LOCK TABLES + FLUSH LOGS causes deadlock
-#
-set @old_general_log= @@general_log;
-set @old_read_only= @@read_only;
-set global general_log= on;
-
-flush tables with read lock;
-flush logs;
-unlock tables;
-
-set global read_only=1;
-flush logs;
-unlock tables;
-
-flush tables with read lock;
-flush logs;
-unlock tables;
-
-set global general_log= @old_general_log;
-set global read_only= @old_read_only;
-
---echo End of 5.1 tests

